package com.fjhx.controller.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.logistics.LogisticsDetails;
import com.fjhx.entity.logistics.LogisticsInfo;
import com.fjhx.enums.stock.InTypeEnum;
import com.fjhx.params.stock.PurchaseInStockVo;
import com.fjhx.params.stock.StockChangeVo;
import com.fjhx.service.logistics.LogisticsDetailsService;
import com.fjhx.service.logistics.LogisticsInfoService;
import com.fjhx.service.stock.StockService;
import org.springblade.core.tool.api.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 采购入库
 */
@RestController
@RequestMapping("/purchase/in/stock")
public class PurchaseInStockController {

    @Autowired
    private LogisticsInfoService logisticsInfoService;

    @Autowired
    private LogisticsDetailsService logisticsDetailsService;

    @Autowired
    private StockService stockService;

    /**
     * 列表
     *
     * @param condition 查询条件
     * @return
     */
    @PostMapping("/page")
    public R page(@RequestBody Condition condition) {
        Page<LogisticsInfo> result = logisticsInfoService.getPurchaseInStockPage(condition);
        return R.success(result);
    }

    /**
     * 物流单明细
     *
     * @param entity 查询条件
     * @return
     */
    @PostMapping("/logistics/details")
    public R logisticsDetails(@RequestBody LogisticsDetails entity) {
        List<LogisticsDetails> result = logisticsDetailsService.getByLogisticsInfoId(entity.getLogisticsInfoId());
        return R.success(result);
    }

    /**
     * 入库
     *
     * @param list 参数
     * @return
     */
    @PostMapping("/add")
    public R add(@RequestBody List<PurchaseInStockVo> list) {
        StockChangeVo vo = new StockChangeVo(list);
        stockService.changeQuantity(vo);
        return R.success();
    }

}
